Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/mini_magick/
Date: Sat, 23 May 2020 17:41:29
Message-Id: 1590255672.0e0c015cdac56fdefcedf413167a111110ea3941.graaff@gentoo
commit:     0e0c015cdac56fdefcedf413167a111110ea3941
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 17:39:56 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 23 17:41:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e0c015c

dev-ruby/mini_magick: avoid broken spec

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/mini_magick/mini_magick-4.10.1.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-ruby/mini_magick/mini_magick-4.10.1.ebuild b/dev-ruby/mini_magick/mini_magick-4.10.1.ebuild
index c215478ddbe..155b9385df4 100644
--- a/dev-ruby/mini_magick/mini_magick-4.10.1.ebuild
+++ b/dev-ruby/mini_magick/mini_magick-4.10.1.ebuild
@@ -46,6 +46,7 @@ all_ruby_prepare() {
 
 	# Avoid spec broken by recent imagemagick updates
 	sed -i -e '/cache files generated from .mpc/askip' spec/lib/mini_magick/image_spec.rb || die
+	sed -i -e '/does not hang when parsing verbose data/askip' spec/lib/mini_magick/image_spec.rb || die
 
 	# Avoid graphicsmagick tests because installing both in parallel for
 	# tests is hard.